# Bibliography

<img src="../assets/nouns/biblio.png" alt="books by b a r z i n from the Noun Project" />

Where possible, the following citations are based on conventions at <https://www.bibsonomy.org/>

Journal abbreviations use ISO 4, available at <https://academic-accelerator.com/Journal-Abbreviation/System>

Links to online versions of cited works use [DOIs](https://www.doi.org/) when available, 
then separately list [open access](https://peerj.com/preprints/3119v1/) URLs obtained
through <https://github.com/Coleridge-Initiative/RCApi>


## – A –

### alexopoulos2020

[*Semantic Modeling for Data: Avoiding Pitfalls and Breaking Dilemmas*](https://www.goodreads.com/book/show/53483743-semantic-modeling-for-data)  
**Panos Alexopoulos**  
O'Reilly Media (2020)

### anderson2020dt

[*Data Teams: A Unified Management Model for Successful Data-Focused Teams*](https://www.apress.com/us/book/9781484262276)  
**Jesse Anderson**  
Apress (2020)


## – B –

### bachbhg17

["Hinge-loss Markov random fields and probabilistic soft logic"](https://dl.acm.org/doi/10.5555/3122009.3176853)  
**Stephen H. Bach**, **Matthias Broecheler**, **Bert Huang**, **Lise Carol Getoor**  
*J Mach Learn Res* 18:109, pp. 1-67 (2017)  
open: <https://arxiv.org/abs/1505.04406>

### batageljm01

["A subquadratic triad census algorithm for large sparse networks with small maximum degree"](https://doi.org/10.1016/S0378-8733(01)00035-1)  
**Vladimir Batagelj**, **Andrej Mrvar**  
*Soc Networks* 23:3, pp. 237-243 (2001)  
open: <http://vlado.fmf.uni-lj.si/pub/networks/doc/triads/triads.pdf>

### bell2019

[*Get Programming: Learn to code with Python*](https://www.manning.com/books/get-programming)  
**Ana Bell**  
Manning (2018)

### breiman2001

["Statistical Modeling: The Two Cultures"](https://doi.org/10.1214/ss/1009213726)  
**Leo Breiman**  
*Statist. Sci.* 16:3 (2001)

### brewer2012cap

["CAP Twelve years later: How the 'Rules' have Changed"](https://doi.org/10.1109/MC.2012.37)  
**Eric Brewer**  
*Computer* 45:2 (2012)


## – C –

### ceder2018

[*The Quick Python Book, Third Edition*](https://www.manning.com/books/the-quick-python-book-third-edition)  
**Naomi Ceder**  
Manning (2018)

### chollet2017

[*Deep Learning with Python*](https://www.manning.com/books/deep-learning-with-python)  
**François Chollet**  
Manning (2017)

### chong2021ds

[*Become a Leader in Data Science*](https://www.manning.com/books/become-a-leader-in-data-science)  
**Jike Chong**, **Yue Cathy Chang**  
Manning (2021)


## – D –

### das2020meta

["Metadata Day 2020"](https://metadataday2020.splashthat.com/)  
**Shirshanka Das**, **Paco Nathan**, **Nadiya Hayes**, **Joe M. Hellerstein**,
**Kapil Surlaker**, **Chris Williams**, **Natasha F. Noy**,
**Daniella Lowenberg**, **Ian Mulvany**, **Mark Grover**, **Alejandro Saucedo**,
**Deborah L. McGuinness**, **Ted Habermann**, **Charles Smith**, **Julien Le Dem**,
**Deepak Chandramouli**, **Igor Perisic**, **Sunheng Taing**, **Satyen Sangani**,
**Aaron Kalb**, **Daniel Rincon Silva**  
LinkedIn (2020)

### dooley2018npj

["FoodOn: a harmonized food ontology to increase global food traceability, quality control and data integration"](https://doi.org/10.1038/s41538-018-0032-6)  
**D.M. Dooley**, **E.J. Griffiths**, **G.S. Gosal**, **P.L. Buttigieg**, **R. Hoehndorf**, **M.C. Lange**, **L.M. Schriml**, **F.S.L. Brinkman**, **W.W.L. Hsiao**  
*npj Sci Food* 2, p. 23 (2018)


## – G –

### gosnell2020

[*The Practitioner's Guide to Graph Data*](https://www.goodreads.com/book/show/50204616-the-practitioner-s-guide-to-graph-data)  
**Denise Gosnell**, **Matthias Broecheler**  
O'Reilly Media (2020)

### gutierrez2019

["A Brief History of Knowledge Graph's Main Ideas: A tutorial"](https://dl.acm.org/doi/abs/10.1145/3340531.3412176)  
**Claudio Gutierrez**, **Juan F. Sequeda**  
*CACM* (2020)  
open: <http://knowledgegraph.today/paper.html>


### gruber1993ata

["A translation approach to portable ontology specifications"](https://doi.org/10.1006/KNAC.1993.1008)  
**Thomas R. Gruber**  
*Knowledge Acquisition* 5 (1993)


## – H –

### hellersteinsgsa17

["Ground: A Data Context Service"](http://cidrdb.org/cidr2017/papers/p111-hellerstein-cidr17.pdf)  
**Joseph M. Hellerstein**, **Vikram Sreekanti**, **Joseph E. Gonzalez**, 
**James Dalton**, **Akon Dey**, **Sreyashi Nag**, **Krishna Ramachandran**, 
**Sudhanshu Arora**, **Arka Bhattacharyya**, **Shirshanka Das**, 
**Mark Donsky**, **Gabriel Fierro**, **Chang She**, **Carl Steinbach**, 
**Venkat Subramanian**, **Eric Sun**  
*CIDR* (2017)

### hitzler2018

["A Tutorial on Modular Ontology Modeling with Ontology Design Patterns: The Cooking Recipes Ontology"](https://arxiv.org/abs/1808.08433)  
**P. Hitzler**, **A. Krisnadhi**  
*arXiv* (2018)  


### hogan2020knowledge

["Knowledge Graphs"](https://arxiv.org/abs/2003.02320)  
**Aidan Hogan**, **Eva Blomqvist**, **Michael Cochez**, **Claudia d'Amato**,
**Gerard de Melo**, **Claudio Gutierrez**, **José Emilio Labra Gayo**,
**Sabrina Kirrane**, **Sebastian Neumaier**, **Axel Polleres**,
**Roberto Navigli**, **Axel-Cyrille Ngonga Ngomo**, **Sabbir M. Rashid**,
**Anisa Rula**, **Lukas Schmelzeisen**, **Juan Sequeda**, **Steffen Staab**,
**Antoine Zimmermann**  
*arXiv* (2020)


## – J –

### jonas2019cloud

["Cloud Programming Simplified: A Berkeley View on Serverless Computing"](https://arxiv.org/abs/1902.03383)  
**Eric Jonas**, **Johann Schleier-Smith**, **Vikram Sreekanti**,
**Chia-Che Tsai**, **Anurag Khandelwal**, **Qifan Pu**, **Vaishaal Shankar**,
**Joao Carreira**, **Karl Krauth**, **Neeraja Yadwadkar**, **Joseph E. Gonzalez**,
**Raluca Ada Popa**, **Ion Stoica**, **David A. Patterson**  
*arXiv* (2019)


## – K –

### knublauch2017shacl

["Shapes Constraint Language (SHACL)"](https://www.w3.org/TR/shacl/)  
**Holger Knublauch**, **Dimitris Kontokostas**  
W3C (2017)

### kreps2014

[*I Heart Logs: Event Data, Stream Processing, and Data Integration*](https://www.confluent.io/ebook/i-heart-logs-event-data-stream-processing-and-data-integration/)  
**Jay Kreps**  
O'Reilly Media (2014)


## – L –

### ledem2013hadoop

["Parquet: Columnar storage for the people""](https://www.slideshare.net/julienledem/parquet-hadoop-summit-2013)  
**Julien Le Dem**  
*Hadoop Summit* (2013)

### lenat1982aaai

["Heuretics: Theoretical and Experimental Study of Heuristic Rules"](https://www.aaai.org/Library/AAAI/1982/aaai82-038.php)  
**Douglas B. Lenat**  
AAAI (1982)

### lenat1984ai

["Why AM and Eurisko appear to work"](https://doi.org/10.1016/0004-3702(84)90016-X)  
**Douglas B. Lenat**, **John Seely Brown**  
*Artificial Intelligence* 23:3 (1984)

### linden2006early

["Early Amazon: Splitting the website"](http://glinden.blogspot.com/2006/02/early-amazon-splitting-website.html)  
**Greg Linden**  
*Geeking with Greg* (2006)

### lorica2020nlp

["2020 NLP Survey Report"](https://gradientflow.com/2020nlpsurvey/)  
**Ben Lorica**, **Paco Nathan**  
Gradient Flow (2020)

### lorica2020rai

["Responsible AI in Practice"](https://gradientflow.com/ResponsibleAI2020)  
**Ben Lorica**, **Paco Nathan**, **Gina Blaber**, **Andrew Burt**,
**Rumman Chowdhury**, **Yishay Carmiel**  
Gradient Flow (2020)


## – M –

### monarch2021hitl

[*Human-in-the-Loop Machine Learning*](https://www.manning.com/books/human-in-the-loop-machine-learning)  
**Robert (Munro) Monarch**  
Manning (2021)


## – N –

### nathan2014jem

[*Just Enough Math*](https://derwen.ai/jem)  
**Paco Nathan**  
O'Reilly Media (2014)

### nathan2019fifty

[*Fifty Years of Data Management and Beyond*](https://www.oreilly.com/library/view/fifty-years-of/9781492057512/)  
**Paco Nathan**  
O'Reilly Media (2019)

### negro2021

[*Graph-Powered Machine Learning*](https://www.manning.com/books/graph-powered-machine-learning)  
**Alessandro Negro**  
Manning (2021)

### noy2001ontology

["Ontology Development 101: A Guide to Creating Your First Ontology"](http://www-ksl.stanford.edu/people/dlm/papers/ontology-tutorial-noy-mcguinness-abstract.html)  
**Natalya F. Noy**, **Deborah L. McGuinness**  
*Stanford Knowledge Systems Laboratory Technical Report KSL-01-05* (2001)


## – P –

### peirce1882

[MS 514: "Existential Graphs"](http://www.jfsowa.com/peirce/ms514.htm)  
**Charles Sanders Peirce**  
*New Elements of Mathematics* (1882)

### perrone2020network

["Network visualizations with Pyvis and VisJS"](https://arxiv.org/abs/2006.04951)  
**Giancarlo Perrone**, **Jose Unpingco**, **Haw-minn Lu**  
*arXiv* (2020)

### procida2020

["Diátaxis Framework: A Systematic Framework for Technical Documentation Authoring"](https://diataxis.fr/)  
**Daniele Procida**  
Diátaxis (2021)


## – S –

### sam2014odp

["An ontology design pattern for cooking recipes: classroom created"](https://dl.acm.org/doi/10.5555/2878937.2878943)  
**M. Sam**, **A. Krisnadhi**, **C. Wang**, **J.C. Gallagher**, **P. Hitzler**  
*Proceedings of the 5th International Conference on Ontology and Semantic Web Patterns* 1302, pp. 49–60 (2014)

### shadbolt06semantic

["The Semantic Web Revisited"](https://doi.org/10.1109/MIS.2006.62)  
**Nigel Shadbolt**, **Wendy Hall**, **Tim Berners-Lee**  
*IEEE Intell Syst* 21:3 (2006)  
open: <https://eprints.soton.ac.uk/262614/1/Semantic_Web_Revisted.pdf>

### singhal2012things

["Introducing the Knowledge Graph: things, not strings"](https://blog.google/products/search/introducing-knowledge-graph-things-not/)  
**Amit Singhal**  
Google (2012)

### song2020

["New and improved Workers Docs"](https://blog.cloudflare.com/new-and-improved-workers-docs/)  
**David Song**  
CloudFlare (2020-08-19)


## – V –

### vardeman2014ceur

["An Ontology Design Pattern for Material Transformation"](http://dx.doi.org/10.3233/SW-160231)  
**C. Vardeman**, **A. Krisnadhi**, **M. Cheatham**, **K. Janowicz**, **H. Ferguson**, **P. Hitzler**, **A. Buccellato**, **K. Thirunarayan**, **G. Berg-Cross**, **T. Hahmann**  
*CEUR Workshop Proceedings* 1302 (2014)

### victorino2020

["How Stripe Built a Writing Culture"](https://slab.com/blog/stripe-writing-culture/)  
**RC Victorino**  
*Slab* (2020-09-02)


## – W –

### wilkinson1999

[*The Grammar of Graphics*](https://www.goodreads.com/book/show/20182493-the-grammar-of-graphics)  
**Leland Wilkinson**, et al.  
Springer (1999-08-19)

### wickham2010layered

["A layered grammar of graphics"](http://dx.doi.org/10.1198/jcgs.2009.07098)  
**Hadley Wickham**  
*J Comput Graph Stat*, vol. 19, no. 1, pp. 3–28 (2010)  
open: <http://vita.had.co.nz/papers/layered-grammar.pdf>


## – Z –

### zahariacfss10

["Spark: Cluster Computing with Working Sets"](https://dl.acm.org/doi/10.5555/1863103.1863113)  
**Matei Zaharia**, **Mosharaf Chowdhury**, **Michael J. Franklin**, **Scott Shenker**, **Ion Stoica**  
*HotCloud* (2010)  
open: <https://www.usenix.org/legacy/event/hotcloud10/tech/full_papers/Zaharia.pdf>
