# Glossary

<img src="../assets/nouns/biblio.png" alt="books by b a r z i n from the Noun Project" />

## DRAFT: Work in progress

This material is a work in progress, at "rough draft" stage.


## – A –

### abstraction layer

A technology implementing a [*separation of concerns*](#separation-of-concerns)

> a way of hiding the working details of a subsystem, allowing the separation of concerns to facilitate interoperability and platform independence

see: <https://en.wikipedia.org/wiki/Abstraction_layer>

### Apache Spark

One of the most popular open source projects for "Big Data" infrastructure,
based on [[zahariacfss10]](../biblio/#zahariacfss10).
Spark provides a classic example of [*applicative systems*](#applicative-systems)
used for data analytics.

See: <https://spark.apache.org/>

### applicative systems


## – C –

### cloud computing

see: <https://derwen.ai/d/cloud_computing>

### computable content


## – D –

### data context

### data engineering

### data governance

see: <https://derwen.ai/d/data_governance>

### data science

see: <https://derwen.ai/d/data_science>

### data strategy

### distributed systems


## – G –

### graph algorithms

### graph database

### graph data science


## – K –

### KG

abbr. [knowledge graph](#knowledge-graph)

### KGC

abbr. [Knowledge Graph Conference](#knowledge-graph-conference)

### knowledge graph

One of the more concise, contemporary definitions is given in
[[hogan2020knowledge]](../biblio/#hogan2020knowledge):

> We refer to a knowledge graph as a data graph potentially enhanced with representations of schema, identity, context, ontologies and/or rules.

see: <https://derwen.ai/d/knowledge_graph>

### Knowledge Graph Conference

The annual *Knowledge Graph Conference*
and its community
<https://www.knowledgegraph.tech/>

### knowledge graph embedding


## – M –

### machine learning

see: <https://derwen.ai/d/machine_learning>


## – N –

### natural language

see: <https://derwen.ai/d/natural_language>


## – O –

### OSFA

abbr. "One size fits all", a common antipattern in technology
> a description for a product that would fit in all instances

see: <https://en.wikipedia.org/wiki/One_size_fits_all>


## – P –

### probabilistic graph inference

### probabilistic soft logic

A computationally efficient form of [*statistical relational learning*](#statistical-relational-learning)
described in [[bachbhg17]](../biblio/#bachbhg17)

> We unite three approaches from the randomized algorithms, probabilistic graphical models, and fuzzy logic communities, showing that all three lead to the same inference objective. 

see: <https://psl.linqs.org/>

### property graph


## – R –

### RDF

abbr. *Resource Description Framework*
<https://www.w3.org/RDF/>
> a standard model for data interchange on the Web

### reinforcement learning

see: <https://derwen.ai/d/reinforcement_learning>


## – S –

### semantic technologies

### Semantic Web

A proposed evolution of the World Wide Web,
discussed in retrospect by [[shadbolt06semantic]](../biblio/#shadbolt06semantic),
and coordinated through the [W3C](#W3C).
The intent was to move from documents for humans to read,
to a Web that included data and information for computers to manipulate.

see: <https://en.wikipedia.org/wiki/Semantic_Web> <https://www.w3.org/standards/semanticweb/>

### separation of concerns

### statistical relational learning

see: <https://www.cs.umd.edu/srl-book/>


## – W –

### W3C

abbr. *World Wide Web Consortium* <https://www.w3.org/>
> an international community where Member organizations, a full-time staff, and the public work together to develop Web standards
